DELIMITER mysolus$$
		CREATE  OR REPLACE  FUNCTION `Get_Valid_Mobile`(vMobile VARCHAR(128)) RETURNS varchar(128) CHARSET latin1 BEGIN     DECLARE vValid_Mobile_Ret VARCHAR(128) DEFAULT '';   DECLARE vMobile_Str VARCHAR(128) DEFAULT '';   DECLARE vMobile_Num BIGINT DEFAULT 0;         DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;            IF vMobile IS NOT NULL THEN     SET vMobile_Str = TRIM(vMobile);         IF LENGTH(vMobile_Str) >= 10 THEN       SET vMobile_Str = RIGHT(vMobile_Str,10);       IF vMobile_Str REGEXP '^[0-9]+$' = 1 THEN         CASE LEFT(vMobile_Str,1)         WHEN '9' THEN SET vValid_Mobile_Ret = vMobile_Str;           WHEN '8' THEN SET vValid_Mobile_Ret = vMobile_Str;           WHEN '7' THEN SET vValid_Mobile_Ret = vMobile_Str;           WHEN '6' THEN SET vValid_Mobile_Ret = vMobile_Str;                   ELSE SET vValid_Mobile_Ret = '';           END CASE;       END IF;         END IF;   END IF;   RETURN vValid_Mobile_Ret; END			
mysolus$$
